Package biotransformer.utils

## Class ChemdbRest

- java.lang.Object
- - biotransformer.utils.ChemdbRest

    public class ChemdbRest
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `pubChemCompoundURL`

### Constructor Summary

Constructors
`ChemdbRest()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.LinkedHashMap<java.lang.String,​java.util.ArrayList<java.lang.String>>` `getSynonymsObjectViaInChIKey​(java.lang.String inchikey)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pubChemCompoundURL

    public static java.lang.String pubChemCompoundURL

### Constructor Detail

#### ChemdbRest

    public ChemdbRest()

### Method Detail

#### getSynonymsObjectViaInChIKey

    public static java.util.LinkedHashMap<java.lang.String,​java.util.ArrayList<java.lang.String>> getSynonymsObjectViaInChIKey​(java.lang.String inchikey)
                                                                                                                              throws com.mashape.unirest.http.exceptions.UnirestException

Throws:
  `com.mashape.unirest.http.exceptions.UnirestException`